*,
:after,
:before {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

/* RESET SEMENTIC UI */
h1:last-child,
h2:last-child,
h3:last-child,
h4:last-child,
h5:last-child {
  margin: 0;
}

body {
  /* MAIN VARIABLE */
  --main-color: #66ccce;
  --light-grey: #f1f1f1;
  --dark-grey: #545454;
  --star-color: #ffd700;
  --point-color: #ff8886;
  --font-family: 'Nanum Barun Gothic', sans-serif;
  /* margin */
  margin: 0;
  /* padding */
  padding: 0;
  /* box-size */
  box-sizing: border-box;
}

/* 네비 메뉴를 제외한 모든 list에 */
ul:not(.main-menu) {
  padding-left: 15px;
}

ul:not(.main-menu),
ol,
li:not(.menu, .order_icon) {
  list-style: circle;
}

select::-ms-expand {
  display: none;
}
select {
  -o-appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

input[type='number']::-webkit-outer-spin-button,
input[type='number']::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* NAV CONTAINER */
@media (min-width: 1024px) {
  .container {
    grid-template-rows: 0;
    min-height: 50px;
  }
}

@media (max-width: 1023px) {
  .container {
    grid-template-rows: 52px 0px auto auto auto;
    min-height: 0;
  }
}

@import url(http://www.openhiun.com/hangul/nanumbarungothic.css);
#main {
  /* padding */
  padding-bottom: 40px;
  /* Reset body from main.css */
  line-height: normal;
  font-weight: normal;
  word-break: normal;
  /* overflow */
  overflow-x: hidden;
}
/* MAIN RESPONSIVE */
@media screen and (max-width: 1024px) {
  #main {
    margin: 0;
  }
}

/*
POP UP MAIN
=================================================
*/

.pop-up-bg {
  /* display */
  display: none;
  /* position */
  position: fixed;
  top: 0;
  /* size */
  width: 100vw;
  height: 100vh;
  /* background */
  background-color: #00000037;
  backdrop-filter: blur(3px);
  /* z-index */
  z-index: 12000;
  /* opacity */
  opacity: 0;
  /* transition */
  transition: all 0.5s ease-in-out;
}

.pop-up-bg-on {
  /* display */
  display: block;
  /* opacity */
  opacity: 1;
}

.pop-up-ui {
  /* position */
  position: fixed;
  top: 50%;
  left: 50%;
  /* transform */
  transform: translate(-50%, 100vh);
  /* size */
  max-width: 1000px;
  width: 95%;
  height: auto;
  /* padidng */
  padding: 15px 15px 50px 15px;
  /* background */
  background-color: #ffffff;
  /* z-index */
  z-index: 12100;
  /* border */
  border-radius: 20px;
  /* box shadow */
  -webkit-box-shadow: -1px 4px 12px 4px rgba(57, 57, 57, 0.63);
  box-shadow: -1px 4px 12px 4px rgba(57, 57, 57, 0.63);
  /* transition */
  transition: all 0.5s ease-in-out;
  /* transform */
}

.pop-up-ui-on {
  /* transform */
  transform: translate(-50%, -50%);
}

.pop-up-off-wrapper {
  /* position */
  position: relative;
  top: 0;
  /* size */
  width: 100%;
  /* padding */
  padding: 30px 0;
}

.pop-up-off-wrapper > img {
  /* size */
  width: 30px;
  /* position */
  position: absolute;
  top: 10px;
  right: 10px;
  /* cursor */
  cursor: pointer;
}

/* main pop up */
.pop-up-main {
  /* size */
  width: 95%;
  height: auto;
  max-height: 60vh;
  /* flex */
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  gap: 20px;
  /* margin */
  margin: 0 auto;
  /* padding */
  padding: 5px;
  /* overflow */
  overflow: auto;
}

.pop-up-main::-webkit-scrollbar,
.table-wrapper::-webkit-scrollbar {
  width: 7px;
}

.pop-up-main::-webkit-scrollbar-track,
.table-wrapper::-webkit-scrollbar-track {
  background-color: var(--light-grey);
  border-radius: 20px;
}

.pop-up-main::-webkit-scrollbar-thumb,
.table-wrapper::-webkit-scrollbar-thumb {
  background-color: var(--point-color);
  border-radius: 20px;
}

.pop-up-main::-webkit-scrollbar-thumb:hover,
.table-wrapper::-webkit-scrollbar-thumb:hover {
  background-color: #c76564;
}

.pop-up-table-wrapper {
  /* size */
  width: 100%;
  /* border */
  border: 4px solid var(--main-color);
  border-radius: 20px;
  /* cursor */
  cursor: pointer;
}

.pop-up-main > details > summary {
  /* font */
  font-family: var(--font-family);
  font-weight: bold;
  font-size: 1.2rem;
  color: var(--point-color);
  /* padding */
  padding: 20px;
}

.table-wrapper {
  /* size */
  width: 100%;
  /* padding */
  padding: 0 20px 20px 20px;
  /* overflow */
  overflow: auto;
}

.day-table,
.hour-table {
  /* size */
  width: 100%;
  /* border */
  border-collapse: collapse;
}

th,
td {
  /* font */
  font-family: var(--font-family);
  font-size: 0.9rem;
  font-weight: bold;
  /* text */
  text-align: center;
  /* padding */
  padding: 5px 10px;
  /* border */
  border: 1px solid #dcdcdc;
}
th {
  /* font */
  color: #ffffff;
  /* background */
  background-color: var(--main-color);
}

.caution {
  /* margin */
  margin-top: 20px;
}

.caution > li {
  /* size */
  min-width: 400px;
  /* font */
  font-family: var(--font-family);
  font-size: 0.9rem;
  font-weight: normal;
  /* padding */
  padding-bottom: 5px;
}

.highlight {
  /* font */
  color: var(--point-color);
}

/*
CALCULATOR MAIN
=================================================
*/

/* MAIN TITLE */
.title {
  /* size */
  width: 100%;
  height: auto;
  /* background */
  background-color: var(--main-color);
  /* padding */
  padding: 35px 0;
}
/* Main title */
#siteTitle {
  /* size */
  max-width: 1200px;
  width: 90%;
  /* font */
  font-family: var(--font-family);
  font-weight: bold;
  font-size: 1.6rem;
  color: #ffffff;
  /* text */
  text-align: center;
  /* margin */
  margin: 0 auto;
}

@media screen and (max-width: 768px) {
  #siteTitle {
    text-align: center;
  }
}
/* ALL SECTIONS */
.section {
  /* size */
  max-width: 1200px;
  width: 90%;
  /* margin */
  margin: 0 auto;
}

/* Section Title */
.section-title {
  /* flex */
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.point-icon {
  /* size */
  width: 24px;
  height: 24px;
  /* background */
  background-color: #ffffff;
  /* border */
  border: 6px solid var(--main-color);
  border-radius: 50%;
  /* margin */
  margin-right: 10px;
}

.section-title > h2 {
  /* font */
  font-family: var(--font-family);
  font-size: 1.5rem;
  color: var(--dark-grey);
}

.moeny {
  /* display */
  display: inline-block;
  /* padding */
  padding-left: 10px;
  /* font */
  font-size: 0.8rem;
  color: var(--point-color);
}

/* SECTION REPONSIVE */
@media screen and (max-width: 768px) {
  /* SECTION TITLE */
  .point-icon {
    /* size */
    width: 18px;
    height: 18px;
    /* border */
    border: 4px solid var(--main-color);
  }
  .section-title > h2 {
    /* font */
    font-size: 1.2rem;
  }

  .section-title-calc {
    margin-top: 10px;
    margin-bottom: 20px;
  }
}

/* CHOOSE SELECT BOX STYLE */

#choose {
  /* size */
  height: 180px;
  /* padding */
  padding: 25px 0;
  /* flex */
  display: flex;
  align-items: center;
  justify-content: space-around;
  /* border */
  border-radius: 35px;
  /* background */
  background-color: #ffffff;
  border: 6px solid var(--main-color);
}

.choose-description {
  /* font */
  font-family: var(--font-family);
  font-size: 1.2rem;
  color: var(--point-color);
  /* text */
  text-align: center;
  /* padding */
  padding-bottom: 15px;
  /* margin */
  margin: 0;
}

.choose-title {
  font-family: var(--font-family);
  color: var(--dark-grey);
  /* margin */
  margin: 0;
}

.choose-wrappers {
  /* flex */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.choose-box {
  /* position */
  position: relative;
  /* size */
  width: 250px;
  height: auto;
  /* flex */
  display: flex;
  align-items: center;
}

.select-styled {
  /* font */
  font-family: var(--font-family);
  font-size: 1.3rem;
  /* size */
  width: 100%;
  /* padding */
  padding: 10px 20px;
  /* background */
  background-color: var(--light-grey);
  /* border */
  border: none;
  border-radius: 30px;
}

.arrow-icon {
  /* position */
  position: absolute;
  right: 20px;
  top: 12px;
  /* transform */
  transform: rotate(90deg);
  /* transition */
  transition: all 0.2s ease-in-out;
}

.arrow-icon > img {
  width: 10px;
}

.select-styled:focus ~ .arrow-icon {
  /* transform */
  transform: rotate(-90deg);
}

/* CHOOSE RESPONSIVE */
@media screen and (max-width: 768px) {
  #choose {
    /* size */
    height: 350px;
    /* padding */
    padding: 30px 0;
    /* margin */
    margin: 10px 0;
    /* flex */
    flex-direction: column;
    justify-content: center;
    gap: 60px;
  }
  .choose-description {
    /* font */
    font-size: 1rem;
    /* padding */
    padding-bottom: 5px;
  }
  .choose-box {
    height: 60px;
  }

  .arrow-icon {
    /* position */
    top: 20px;
  }
}

/* CALC STYLE */
#calc {
  margin-top: -60px;
  transform: scale(70%);
}

.calc-form {
  /* size */
  max-width: 96%;
  width: 100%;
  /* flex */
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  /* padding */
  padding: 30px 0;
  /* margin */
  margin: 0 auto;
}

/* ALL WRAPPER */
.inputs-wrapper {
  /* size */
  width: 100%;
  /* flex */
  display: flex;
  align-items: center;
  justify-content: space-between;
}

/* INPUT GROUPS WRAPPER */
.inputs-wrapper > section {
  /* size */
  width: 45%;
  /* flex */
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 50px;
}

/* INPUT GROUP */
.inputs-wrapper > section > div {
  /* size */
  width: 100%;
}

/* INPUT LABEL */
.inputs-wrapper > section > div > label,
.inputs-wrapper > section > div > .input-label-btn-wrapper > label {
  /* display */
  display: block;
  /* font */
  font-family: var(--font-family);
  font-weight: bold;
  font-size: 1.2rem;
  color: var(--dark-grey);
  /* padding */
  padding-bottom: 10px;
}

/* 시급, 일급 테이블 팝업 버튼 WRAPPER */
.input-label-btn-wrapper {
  width: 100%;
  /* flex */
  display: flex;
  align-items: center;
  gap: 5px;
}

.input-label-btn-wrapper > #more-img {
  /* position */
  position: relative;
  /* size */
  width: 20px;
  height: 20px;
  /* cursor */
  cursor: pointer;
  /* background */
  background: url(/img/invalid-name.webp) no-repeat center/cover;
  /* margin */
  margin-bottom: 10px;
}

.input-label-btn-wrapper > #more-img:hover::after {
  /* content */
  content: 'Click';
  /* font */
  font-family: var(--font-family);
  font-size: 0.9rem;
  color: #ffffff;
  /* background */
  background-color: var(--main-color);
  /* padding */
  padding: 3px 8px;
  /* border */
  border-radius: 20px;
  /* display */
  display: inline-block;
  /* position */
  position: absolute;
  left: 24px;
  top: 0;
}

/* INPUT BOX GROUP */
.input-box-group {
  /* position */
  position: relative;
  /* size */
  width: 100%;
}

.input-box-group > input {
  /* font */
  font-family: var(--font-family);
  font-weight: bold;
  font-size: 1.3rem;
  /* size */
  width: 100%;
  /* padding */
  padding: 15px 10px;
  /* border */
  border: 3px solid var(--main-color);
  border-radius: 20px;
}

.unit {
  /* position */
  position: absolute;
  right: 25px;
  top: 20px;
  /* font */
  font-family: var(--font-family);
  font-weight: bold;
  font-size: 1.2rem;
  color: var(--point-color);
}

/* result */
.result-wrapper {
  /* size */
  width: 100%;
  /* padding */
  padding-top: 50px;
  /* flex */
  display: flex;
  align-items: center;
  justify-content: space-between;
  /* border */
  border-top: 4px dotted #b8b8b8;
}

/* Result wrapper */
.result-wrapper > div {
  /* size */
  width: 45%;
  /* flex */
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
}

/* result input style */
.result-input-style {
  /* font */
  font-family: var(--font-family);
  font-weight: bold;
  font-size: 1.3rem;
  /* size */
  width: 100%;
  /* padding */
  padding: 15px 10px;
  /* border */
  border: 3px solid var(--point-color);
  border-radius: 20px;
  /* background */
  background-color: var(--light-grey);
}

/* result title */
.result-title {
  /* display */
  display: block;
  /* font */
  font-family: var(--font-family);
  font-weight: bold;
  font-size: 1.2rem;
  color: var(--dark-grey);
  /* padding */
  padding-bottom: 10px;
}

/* 계산 결과보기 */
.calc-result-btn {
  /* font */
  font-family: var(--font-family);
  font-weight: bold;
  font-size: 1.2rem;
  color: #ffffff;
  /* size */
  width: 100%;
  /* padding */
  padding: 15px 0;
  /* border */
  border: none;
  border-radius: 25px;
  /* background */
  background-color: var(--point-color);
  /* cursor */
  cursor: pointer;
  /* margin */
  margin-top: 50px;
  margin-bottom: 50px;
}

#go-app {
  /* background */
  background-color: var(--dark-grey);
  /* margin */
  margin-top: 30px;
}

.calc-result-off {
  display: none;
}

.calc-result-on {
  display: block;
}

/* CALC RESPONSIVE */
@media screen and (max-width: 768px) {
  /* Calc */
  #calc {
    /* margin */
    margin-top: -180px;
  }
  /* ALL WRAPPER */
  .inputs-wrapper {
    /* size */
    width: 100%;
    /* flex */
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 40px;
  }
  .inputs-wrapper > section {
    width: 100%;
  }

  /* Result wrapper */
  .result-wrapper {
    /* size */
    width: 100%;
    /* size */
    padding-top: 40px;
    /* flex */
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
  }
  /* resultwrapper box */
  .result-wrapper > div {
    /* size */
    width: 100%;
  }
}

/* Footer
=========================================== */
.global-footer {
  font-size: 14px;
}
